public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: test if dependency on /sbin/service is gone
Date: Fri, 11 Sep 2026 13:22:50 GMT	[thread overview]
Message-ID: <178913297075.1.6462220365171430581.tests-selinux-fed18a00fbb2@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : fed18a00fbb24dde8360fce9e47dbc336fac936f
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2025-05-26T08:54:27+00:00
            Stats  : +35/-0 in 2 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/fed18a00fbb24dde8360fce9e47dbc336fac936f?branch=pr775-checkpolicy-revdeps

            Log:
            test if dependency on /sbin/service is gone

Scriptlets of the setroubleshoot package now run the auditctl program
directly instead of running the /sbin/service command which belongs
to the initscripts-service package. The TC checks if the dependency
was removed.

The TC covers BZ#2365614 and RHEL-90842.

---
diff --git a/setroubleshoot/independent-on-initscripts/main.fmf b/setroubleshoot/independent-on-initscripts/main.fmf
new file mode 100644
index 0000000..ffd5eb7
--- /dev/null
+++ b/setroubleshoot/independent-on-initscripts/main.fmf
@@ -0,0 +1,17 @@
+summary: Is setroubleshoot still dependent on initscripts* packages?
+contact: Milos Malik <mmalik@redhat.com>
+component:
+  - setroubleshoot
+test: ./test.sh
+framework: beakerlib
+recommend:
+  - setroubleshoot-server
+duration: 5m
+enabled: true
+link:
+  - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2365614
+  - verifies: https://issues.redhat.com/browse/RHEL-90842
+adjust:
+  - enabled: false
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8, rhel-9, centos-stream-8, centos-stream-9
+    continue: false

diff --git a/setroubleshoot/independent-on-initscripts/test.sh b/setroubleshoot/independent-on-initscripts/test.sh
new file mode 100755
index 0000000..7d1e6a4
--- /dev/null
+++ b/setroubleshoot/independent-on-initscripts/test.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+rlJournalStart
+    rlPhaseStartSetup
+        rlAssertRpm setroubleshoot-server
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#2365614"
+        rlRun "rpm -q --requires setroubleshoot-server | grep initscripts" 1
+        rlRun "rpm -q --scripts setroubleshoot-server | grep service" 1
+        rlRun "rpm -q --scripts setroubleshoot-server | grep 'auditctl.*reload'"
+    rlPhaseEnd
+
+    rlPhaseStartCleanup
+    rlPhaseEnd
+rlJournalEnd

                 reply	other threads:[~2026-09-11 13:22 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913297075.1.6462220365171430581.tests-selinux-fed18a00fbb2@fedoraproject.org \
    --to=mmalik@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox